Skip to main content
GET
Read all transactions

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Query Parameters

size
integer
default:25

Number of transactions to return per page. Between 1 and 50.

Required range: 1 <= x <= 50
cursor
string

Pagination cursor. Use nextCursor from the previous response. An unknown cursor returns an empty data array.

status
enum<string>[]

Filter by status. Comma-separated list, for example AWAITING_FUNDS,SUCCESS.

Transaction's status. See Transaction lifecycle for the order by transaction type.

Available options:
AWAITING_FUNDS,
TRANSFERRING_FIAT,
TRANSFERRING_STABLECOIN,
TRADING,
SUCCESS,
FAILED,
EXPIRED
type
enum<string>[]

Filter by type. Comma-separated list, for example ON_RAMP,OFF_RAMP.

Available options:
ON_RAMP,
OFF_RAMP,
TRANSFER
sourceCurrency
string[]

Filter by source currency. Comma-separated list, for example BRL,USD. For transfers, the source currency is the stablecoin.

targetCurrency
string[]

Filter by target currency. Comma-separated list, for example USDC,USDT. For transfers, the target currency is the stablecoin.

from
string<date-time>

Start of the creation date range (ISO 8601), inclusive. Applied only together with to.

to
string<date-time>

End of the creation date range (ISO 8601), inclusive. Applied only together with from.

customerId
string<uuid>

Filter by customer's unique identifier.

Response

Resources successfully retrieved.

data
(On-ramp · object | Off-ramp · object | Transfer · object)[]

Transactions on this page.

Transaction. Shape depends on type.

pagination
object

Pagination information.